<?php
require_once 'config.php';

$dropDataTable = "DROP TABLE IF EXISTS data;";
$dropSettingsTable = "DROP TABLE IF EXISTS settings;";

$createDataTable = "
CREATE TABLE data (
    id INT(11) AUTO_INCREMENT PRIMARY KEY,
    timestamp DATETIME NOT NULL,
    power FLOAT(10,2) NOT NULL,
    voltage FLOAT(10,2) NOT NULL,
    current FLOAT(10,2) NOT NULL,
    energy FLOAT(10,2) NOT NULL,
    frequency FLOAT(10,2) NOT NULL
);";

$createSettingsTable = "
CREATE TABLE settings (
    id INT(11) PRIMARY KEY,
    record INT(11) NOT NULL DEFAULT 0,
    target FLOAT(10,2) NOT NULL DEFAULT 0,
    offset FLOAT(10,2) NOT NULL DEFAULT 0,
    last_connection DATETIME NOT NULL DEFAULT '2024-10-10 00:00:00'
);";

$insertDefaultSettings = "
INSERT INTO settings (id, record, target) VALUES (0, 0, 0)
ON DUPLICATE KEY UPDATE record = 0, target = 0;";

$conn->query($dropDataTable);
$conn->query($dropSettingsTable);

if ($conn->query($createDataTable) === TRUE) {
    echo "Tabelle &quot;data&quot; erfolgreich erstellt.<br>";
} else {
    echo "Fehler beim Erstellen der Tabelle &quot;data&quot;: " . $conn->error . "<br>";
}

if ($conn->query($createSettingsTable) === TRUE) {
    echo "Tabelle &quot;settings&quot; erfolgreich erstellt.<br>";
} else {
    echo "Fehler beim Erstellen der Tabelle &quot;settings&quot;: " . $conn->error . "<br>";
}

if ($conn->query($insertDefaultSettings) === TRUE) {
    echo "Standardwert in &quot;settings&quot; erfolgreich eingef&uuml;gt.<br>";
} else {
    echo "Fehler beim Einf&uuml;gen der Zeiler in &quot;settings&quot;: " . $conn->error . "<br>";
}

$conn->close();
?>
